return {
PlaceObj('ModItemBuildingTemplate', {
	'name', "Fusion Reactor+",
	'comment', "20K Watts",
	'template_class', "FusionReactor",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{540625756307, --[[ModItemBuildingTemplate Fusion Reactor+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{636678931789, --[[ModItemBuildingTemplate Fusion Reactor+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Concrete', 40000,
	'construction_cost_Polymers', 20000,
	'construction_cost_Electronics', 20000,
	'build_points', 15000,
	'dome_forbidden', true,
	'upgrade1_id', "FusionReactor_Autoregulator",
	'upgrade1_display_name', T{713559116628, --[[ModItemBuildingTemplate Fusion Reactor+ upgrade1_display_name]] "Autoregulator"},
	'upgrade1_description', T{660624758266, --[[ModItemBuildingTemplate Fusion Reactor+ upgrade1_description]] "Reduces Workplaces by <abs(upgrade1_add_value_1)>."},
	'upgrade1_icon', "UI/Icons/Upgrades/autoregulator_01.tga",
	'upgrade1_upgrade_cost_Polymers', 10000,
	'upgrade1_mod_label_1', "FusionReactor",
	'upgrade1_mod_prop_id_1', "max_workers",
	'upgrade1_add_value_1', -2,
	'upgrade2_id', "FusionReactor_EternalFusion",
	'upgrade2_display_name', T{711773836650, --[[ModItemBuildingTemplate Fusion Reactor+ upgrade2_display_name]] "Eternal Fusion"},
	'upgrade2_description', T{504020336318, --[[ModItemBuildingTemplate Fusion Reactor+ upgrade2_description]] "This building no longer requires Workers and operates at <upgrade2_add_value_2> Performance."},
	'upgrade2_icon', "UI/Icons/Upgrades/eternal_fusion_01.tga",
	'upgrade2_upgrade_cost_Polymers', 10000,
	'upgrade2_mod_prop_id_1', "automation",
	'upgrade2_add_value_1', 1,
	'upgrade2_mod_prop_id_2', "auto_performance",
	'upgrade2_add_value_2', 150,
	'upgrade2_mod_prop_id_3', "max_workers",
	'upgrade2_mul_value_3', -100,
	'maintenance_resource_type', "Electronics",
	'maintenance_resource_amount', 3000,
	'display_name', T{598883194588, --[[ModItemBuildingTemplate Fusion Reactor+ display_name]] "Fusion Reactor+"},
	'display_name_pl', T{333034384221, --[[ModItemBuildingTemplate Fusion Reactor+ display_name_pl]] "Fusion Reactors"},
	'description', T{556328573124, --[[ModItemBuildingTemplate Fusion Reactor+ description]] "Generates 20K Watts instead of 200."},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/fusion_reactor.tga",
	'build_pos', 5,
	'entity', "FusionReactor",
	'encyclopedia_image', "UI/Encyclopedia/FusionReactor.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "UniversalExtractor",
	'demolish_sinking', range(10, 20),
	'demolish_tilt_angle', range(300, 600),
	'electricity_production', 20000000,
	'max_workers', 8,
	'specialist', "engineer",
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Large Solar Panel+",
	'comment', "2500 Watts",
	'template_class', "SolarPanel",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{448974737876, --[[ModItemBuildingTemplate Large Solar Panel+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{603238941414, --[[ModItemBuildingTemplate Large Solar Panel+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Metals', 4000,
	'build_points', 1500,
	'show_range_class', "ArtificialSun",
	'maintenance_resource_type', "Metals",
	'display_name', T{776643806994, --[[ModItemBuildingTemplate Large Solar Panel+ display_name]] "Large Solar Panel+"},
	'display_name_pl', T{630589468669, --[[ModItemBuildingTemplate Large Solar Panel+ display_name_pl]] "Large Solar Panel"},
	'description', T{812067097704, --[[ModItemBuildingTemplate Large Solar Panel+ description]] "Generates 2500 Watts instead of 5."},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/solar_aray.tga",
	'build_pos', 2,
	'entity', "SolarPanelBig",
	'encyclopedia_image', "UI/Encyclopedia/LargeSolarPanel.tga",
	'build_shortcut1', "J",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "SolarPanelBig",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'electricity_production', 2500000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Solar Panel+",
	'comment', "1000 Watts",
	'template_class', "SolarPanel",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{667576870104, --[[ModItemBuildingTemplate Solar Panel+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{673189468837, --[[ModItemBuildingTemplate Solar Panel+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Metals', 1000,
	'build_points', 500,
	'show_range_class', "ArtificialSun",
	'maintenance_resource_type', "Metals",
	'maintenance_resource_amount', 500,
	'display_name', T{337090603942, --[[ModItemBuildingTemplate Solar Panel+ display_name]] "Solar Panel+"},
	'display_name_pl', T{547266462370, --[[ModItemBuildingTemplate Solar Panel+ display_name_pl]] "Solar Panels"},
	'description', T{882623300280, --[[ModItemBuildingTemplate Solar Panel+ description]] "Generates 1000 Watts instead of 2."},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/solar_panel.tga",
	'entity', "SolarPanel",
	'encyclopedia_image', "UI/Encyclopedia/SolarPanel.tga",
	'build_shortcut1', "N",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "Outside_01",
	'demolish_sinking', range(5, 15),
	'demolish_tilt_angle', range(300, 600),
	'electricity_production', 1000000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Stirling Generator+",
	'comment', "1000 Watts + 1000 More",
	'template_class', "StirlingGenerator",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{125703539672, --[[ModItemBuildingTemplate Stirling Generator+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{963115822838, --[[ModItemBuildingTemplate Stirling Generator+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Polymers', 12000,
	'construction_cost_Electronics', 6000,
	'build_points', 1000,
	'require_prefab', true,
	'upgrade1_id', "StirlingGenerator_PlutoniumCore",
	'upgrade1_display_name', T{865837559149, --[[ModItemBuildingTemplate Stirling Generator+ upgrade1_display_name]] "Plutonium Core"},
	'upgrade1_description', T{718856746339, --[[ModItemBuildingTemplate Stirling Generator+ upgrade1_description]] "+<upgrade1_mul_value_1>% additional power production when open."},
	'upgrade1_icon', "UI/Icons/Upgrades/plutonium_core_01.tga",
	'upgrade1_upgrade_cost_Polymers', 4000,
	'upgrade1_mod_label_1', "StirlingGenerator",
	'upgrade1_mod_prop_id_1', "production_factor_interacted",
	'upgrade1_mul_value_1', 50,
	'maintenance_resource_type', "Polymers",
	'display_name', T{932047242803, --[[ModItemBuildingTemplate Stirling Generator+ display_name]] "Stirling Generator+"},
	'display_name_pl', T{225142209500, --[[ModItemBuildingTemplate Stirling Generator+ display_name_pl]] "Stirling Generators"},
	'description', T{432826655460, --[[ModItemBuildingTemplate Stirling Generator+ description]] "Generates 1000 Watts instead of 10, 2000 if opened."},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/stirling_generator.tga",
	'build_pos', 4,
	'entity', "StirlingGenerator",
	'encyclopedia_image', "UI/Encyclopedia/StirlingGenerator.tga",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "StirlingGenerator",
	'demolish_sinking', range(5, 10),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 80,
	'electricity_production', 1000000,
	'production_factor_interacted', 200,
	'daily_dust_accumulation', 2000000,
}),
PlaceObj('ModItemBuildingTemplate', {
	'name', "Wind Turbine+",
	'comment', "1000 Watts + More",
	'template_class', "WindTurbine",
	'pin_rollover_context', "electricity",
	'pin_rollover_hint', T{797471999025, --[[ModItemBuildingTemplate Wind Turbine+ pin_rollover_hint]] "<image UI/Infopanel/left_click.tga 1400> Select"},
	'pin_rollover_hint_xbox', T{257120597508, --[[ModItemBuildingTemplate Wind Turbine+ pin_rollover_hint_xbox]] "<image UI/Xbox/ButtonA.tga> View"},
	'construction_cost_Concrete', 4000,
	'construction_cost_MachineParts', 1000,
	'build_points', 1500,
	'is_tall', true,
	'dome_forbidden', true,
	'upgrade1_id', "WindTurbine_PolymerBlades",
	'upgrade1_display_name', T{781238904811, --[[ModItemBuildingTemplate Wind Turbine+ upgrade1_display_name]] "Polymer Blades"},
	'upgrade1_description', T{218705875413, --[[ModItemBuildingTemplate Wind Turbine+ upgrade1_description]] "+<upgrade1_mul_value_1>% Production."},
	'upgrade1_icon', "UI/Icons/Upgrades/polymer_blades_01.tga",
	'upgrade1_upgrade_cost_Polymers', 2000,
	'upgrade1_mod_label_1', "WindTurbine",
	'upgrade1_mod_prop_id_1', "electricity_production",
	'upgrade1_mul_value_1', 33,
	'maintenance_resource_type', "MachineParts",
	'maintenance_resource_amount', 500,
	'display_name', T{625124274659, --[[ModItemBuildingTemplate Wind Turbine+ display_name]] "Wind Turbine+"},
	'display_name_pl', T{838801508246, --[[ModItemBuildingTemplate Wind Turbine+ display_name_pl]] "Wind Turbines"},
	'description', T{618811060917, --[[ModItemBuildingTemplate Wind Turbine+ description]] "Generates 1000 Watts instead of 5, plus more depending on elevations."},
	'build_category', "Power",
	'display_icon', "UI/Icons/Buildings/wind_turbine.tga",
	'build_pos', 3,
	'entity', "WindTurbine",
	'encyclopedia_text', T{221173774958, --[[ModItemBuildingTemplate Wind Turbine+ encyclopedia_text]] "Wind turbines generate electrical power from the Martian winds. The amount generated depends on how powerful the winds they are exposed to are, so proper positioning is essential as higher ground tends to be windier.\n\n<center><image UI/Common/rollover_line.tga 2000> <left>\n\nWhile wind speeds on Mars are generally mild, they can reach incredible speeds during dust storms. Still, the thin Martian atmosphere dictates that the average wind turbine would need winds around six times more powerful than those on Earth to create the same amount of thrust.\n \nThis technological challenge to take advantage of what little wind there is on Mars was solved by opting for vertical axis wind turbines, which are capable of catching the wind from all directions, instead of simply horizontal.  The materials used are light enough to self-start on much weaker forces than those most commonly used on Earth."},
	'encyclopedia_image', "UI/Encyclopedia/WindTurbine.tga",
	'entity2', "WindTurbineChrome",
	'entitydlc2', "dde",
	'label1', "OutsideBuildings",
	'label2', "OutsideBuildingsTargets",
	'palettes', "WindTurbine",
	'demolish_sinking', range(0, 0),
	'demolish_tilt_angle', range(300, 600),
	'demolish_debris', 85,
	'electricity_production', 1000000,
	'bonus_per_kilometer_elevation', 1000,
	'min_production_to_work', 0,
	'dust_storm_bonus_percent', 100,
	'great_dust_storm_bonus_percent', 200,
}),
}
